# This is a sample build configuration for Javascript
# Check our guides at https://confluence.atlassian.com/x/VYk8Lw for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: node:10.13.0

pipelines:
  branches:
    master:
      - step:
          name: Preconditions in Bitbucket CI Server
          script:
            - chmod u+x ./scripts/preconditions.sh
            - ./scripts/preconditions.sh
      - step:
          name: Building artifact
          caches:
            - node
          script:
            - chmod u+x ./scripts/build-artifact.sh
            - ./scripts/build-artifact.sh
          artifacts:
            - build/**
            - dist/**
      - step:
          caches:
            - node
          name: deploy
          deployment: production
          script:
            - chmod u+x ./scripts/deploy.sh
            - ./scripts/deploy.sh
      - step:
          name: clear cache app
          script:
            - chmod u+x ./scripts/clear-cache.sh
            - ./scripts/clear-cache.sh
    dev:
      - step:
          name: Preconditions in Bitbucket CI Server
          script:
            - chmod u+x ./scripts/preconditions.sh
            - ./scripts/preconditions.sh
      - step:
          name: Building artifact
          caches:
            - node
          script:
            - chmod u+x ./scripts/build-artifact.sh
            - ./scripts/build-artifact.sh
          artifacts:
            - build/**
            - dist/**
      - step:
          caches:
            - node
          name: deploy
          deployment: dev
          script:
            - chmod u+x ./scripts/deploy.sh
            - ./scripts/deploy.sh
      - step:
          name: clear cache app
          script:
            - chmod u+x ./scripts/clear-cache.sh
            - ./scripts/clear-cache.sh
